zeppelin-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From zjf...@apache.org
Subject zeppelin git commit: [DOC] Fix interpreter version in doc
Date Fri, 18 May 2018 09:38:03 GMT
Repository: zeppelin
Updated Branches:
  refs/heads/branch-0.8 8756ea796 -> 39e67e078


[DOC] Fix interpreter version in doc

### What is this PR for?
Change the version from 0.7.0 to 0.8.0

### What type of PR is it?
[Documentation]

### Todos
* [ ] - Task

### What is the Jira issue?
* No jira created

### Screenshots (if appropriate)

### Questions:
* Does the licenses files need update? No
* Is there breaking changes for older versions? No
* Does this needs documentation? No

Author: Jeff Zhang <zjffdu@apache.org>

Closes #2973 from zjffdu/version_doc and squashes the following commits:

48d6d72ad [Jeff Zhang] [DOC] Fix interpreter version in doc


Project: http://git-wip-us.apache.org/repos/asf/zeppelin/repo
Commit: http://git-wip-us.apache.org/repos/asf/zeppelin/commit/39e67e07
Tree: http://git-wip-us.apache.org/repos/asf/zeppelin/tree/39e67e07
Diff: http://git-wip-us.apache.org/repos/asf/zeppelin/diff/39e67e07

Branch: refs/heads/branch-0.8
Commit: 39e67e078086cc704f41899407dfc5995ed27e91
Parents: 8756ea7
Author: Jeff Zhang <zjffdu@apache.org>
Authored: Fri May 18 09:07:13 2018 +0800
Committer: Jeff Zhang <zjffdu@apache.org>
Committed: Fri May 18 17:38:07 2018 +0800

----------------------------------------------------------------------
 docs/usage/interpreter/installation.md | 77 +++++++++++++++--------------
 1 file changed, 39 insertions(+), 38 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/zeppelin/blob/39e67e07/docs/usage/interpreter/installation.md
----------------------------------------------------------------------
diff --git a/docs/usage/interpreter/installation.md b/docs/usage/interpreter/installation.md
index 8bc3b3d..7e1cb80 100644
--- a/docs/usage/interpreter/installation.md
+++ b/docs/usage/interpreter/installation.md
@@ -58,46 +58,42 @@ Zeppelin support both Scala 2.10 and 2.11 for several interpreters as
below:
   </tr>
   <tr>
     <td>cassandra</td>
-    <td>org.apache.zeppelin:zeppelin-cassandra_2.10:0.7.0</td>
-    <td>org.apache.zeppelin:zeppelin-cassandra_2.11:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-cassandra_2.10:0.8.0</td>
+    <td>org.apache.zeppelin:zeppelin-cassandra_2.11:0.8.0</td>
   </tr>
   <tr>
     <td>flink</td>
-    <td>org.apache.zeppelin:zeppelin-flink_2.10:0.7.0</td>
-    <td>org.apache.zeppelin:zeppelin-flink_2.11:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-flink_2.10:0.8.0</td>
+    <td>org.apache.zeppelin:zeppelin-flink_2.11:0.8.0</td>
   </tr>
   <tr>
     <td>ignite</td>
-    <td>org.apache.zeppelin:zeppelin-ignite_2.10:0.7.0</td>
-    <td>org.apache.zeppelin:zeppelin-ignite_2.11:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-ignite_2.10:0.8.0</td>
+    <td>org.apache.zeppelin:zeppelin-ignite_2.11:0.8.0</td>
   </tr>
   <tr>
     <td>scio</td>
-    <td>org.apache.zeppelin:zeppelin-scio_2.10:0.7.0</td>
-    <td>org.apache.zeppelin:zeppelin-scio_2.11:0.7.0</td>
-  </tr>
-  <tr>
-    <td>spark</td>
-    <td>org.apache.zeppelin:zeppelin-spark_2.10:0.7.0</td>
-    <td>org.apache.zeppelin:zeppelin-spark_2.11:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-scio_2.10:0.8.0</td>
+    <td>org.apache.zeppelin:zeppelin-scio_2.11:0.8.0</td>
   </tr>
 </table>
 
 If you install one of these interpreters only with `--name` option, installer will download
interpreter built with Scala 2.11 by default. If you want to specify Scala version, you will
need to add `--artifact` option. Here is the example of installing flink interpreter built
with Scala 2.10.
 
 ```
-./bin/install-interpreter.sh --name flink --artifact org.apache.zeppelin:zeppelin-flink_2.10:0.7.0
+./bin/install-interpreter.sh --name flink --artifact org.apache.zeppelin:zeppelin-flink_2.10:0.8.0
 ```
 
-#### Install Spark interpreter built with Scala 2.10
-Spark distribution package has been built with Scala 2.10 until 1.6.2. If you have `SPARK_HOME`
set pointing to Spark version earlier than 2.0.0, you need to download Spark interpreter packaged
with Scala 2.10. To do so, use follow command:
+#### Spark interpreter for scala 2.10 and 2.11 
+Starting from Zeppelin 0.8.0, Zeppelin support both scala 2.10 and 2.11 in one zeppelin instance.
You don't need to install different scala specific interpreter for spark. 
+It would pick up the right scala specific interpreter for the spark distribution where `SPARK_HOME`
point to.
+
+Here's the command to install spark interpreter
 
 ```
-rm -rf ./interpreter/spark
-./bin/install-interpreter.sh --name spark --artifact org.apache.zeppelin:zeppelin-spark_2.10:0.7.0
+./bin/install-interpreter.sh --name spark --artifact org.apache.zeppelin:spark-interpreter:0.8.0
 ```
 
-<br />
 Once you have installed interpreters, you need to restart Zeppelin. And then [create interpreter
setting](./overview.html#what-is-zeppelin-interpreter) and [bind it with your notebook](./overview.html#what-is-zeppelin-interpreter-setting).
 
 
@@ -134,97 +130,102 @@ You can also find the below community managed interpreter list in `conf/interpre
   </tr>
   <tr>
     <td>alluxio</td>
-    <td>org.apache.zeppelin:zeppelin-alluxio:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-alluxio:0.8.0</td>
     <td>Alluxio interpreter</td>
   </tr>
   <tr>
     <td>angular</td>
-    <td>org.apache.zeppelin:zeppelin-angular:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-angular:0.8.0</td>
     <td>HTML and AngularJS view rendering</td>
   </tr>
   <tr>
     <td>beam</td>
-    <td>org.apache.zeppelin:zeppelin-beam:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-beam:0.8.0</td>
     <td>Beam interpreter</td>
   </tr>
   <tr>
     <td>bigquery</td>
-    <td>org.apache.zeppelin:zeppelin-bigquery:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-bigquery:0.8.0</td>
     <td>BigQuery interpreter</td>
   </tr>
   <tr>
     <td>cassandra</td>
-    <td>org.apache.zeppelin:zeppelin-cassandra\_2.11:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-cassandra\_2.11:0.8.0</td>
     <td>Cassandra interpreter built with Scala 2.11</td>
   </tr>
   <tr>
     <td>elasticsearch</td>
-    <td>org.apache.zeppelin:zeppelin-elasticsearch:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-elasticsearch:0.8.0</td>
     <td>Elasticsearch interpreter</td>
   </tr>
   <tr>
     <td>file</td>
-    <td>org.apache.zeppelin:zeppelin-file:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-file:0.8.0</td>
     <td>HDFS file interpreter</td>
   </tr>
   <tr>
     <td>flink</td>
-    <td>org.apache.zeppelin:zeppelin-flink\_2.11:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-flink\_2.11:0.8.0</td>
     <td>Flink interpreter built with Scala 2.11</td>
   </tr>
   <tr>
     <td>hbase</td>
-    <td>org.apache.zeppelin:zeppelin-hbase:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-hbase:0.8.0</td>
     <td>Hbase interpreter</td>
   </tr>
   <tr>
     <td>ignite</td>
-    <td>org.apache.zeppelin:zeppelin-ignite\_2.11:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-ignite\_2.11:0.8.0</td>
     <td>Ignite interpreter built with Scala 2.11</td>
   </tr>
   <tr>
     <td>jdbc</td>
-    <td>org.apache.zeppelin:zeppelin-jdbc:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-jdbc:0.8.0</td>
     <td>Jdbc interpreter</td>
   </tr>
   <tr>
     <td>kylin</td>
-    <td>org.apache.zeppelin:zeppelin-kylin:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-kylin:0.8.0</td>
     <td>Kylin interpreter</td>
   </tr>
   <tr>
     <td>lens</td>
-    <td>org.apache.zeppelin:zeppelin-lens:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-lens:0.8.0</td>
     <td>Lens interpreter</td>
   </tr>
   <tr>
     <td>livy</td>
-    <td>org.apache.zeppelin:zeppelin-livy:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-livy:0.8.0</td>
     <td>Livy interpreter</td>
   </tr>
   <tr>
     <td>md</td>
-    <td>org.apache.zeppelin:zeppelin-markdown:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-markdown:0.8.0</td>
     <td>Markdown support</td>
   </tr>
   <tr>
     <td>pig</td>
-    <td>org.apache.zeppelin:zeppelin-pig:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-pig:0.8.0</td>
     <td>Pig interpreter</td>
   </tr>
   <tr>
     <td>python</td>
-    <td>org.apache.zeppelin:zeppelin-python:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-python:0.8.0</td>
     <td>Python interpreter</td>
   </tr>
   <tr>
     <td>scio</td>
-    <td>org.apache.zeppelin:zeppelin-scio\_2.11:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-scio\_2.11:0.8.0</td>
     <td>Scio interpreter built with Scala 2.11</td>
   </tr>
   <tr>
     <td>shell</td>
-    <td>org.apache.zeppelin:zeppelin-shell:0.7.0</td>
+    <td>org.apache.zeppelin:zeppelin-shell:0.8.0</td>
     <td>Shell command</td>
   </tr>
+  <tr>
+    <td>sap</td>
+    <td>org.apache.zeppelin:zeppelin-sap:0.8.0</td>
+    <td>sap interpreter</td>
+  </tr>
 </table>


Mime
View raw message